Loading...
Searching...
No Matches
rostlab Namespace Reference

## Namespaces

namespace | blast

## Functions

std::ostream & | operator<< (std::ostream &__os, const rostlab::blast::round &__r)
| Stream output operator for blast::round.
std::ostream & | operator<< (std::ostream &__os, const rostlab::blast::oneline &__r)
| Stream output operator for blast::oneline.
std::ostream & | operator<< (std::ostream &__os, const rostlab::blast::hsp &__r)
| Stream output operator for blast::hsp.
std::ostream & | operator<< (std::ostream &__os, const rostlab::blast::hit &__r)
| Stream output operator for blast::hit.
std::ostream & | operator<< (std::ostream &__os, const rostlab::blast::result &__r)
| Stream output operator for blast::result.

## Function Documentation

## operator<<() [1/5]

std::ostream & rostlab::operator<< | ( | std::ostream & | __os,
|  | const rostlab::blast::hit & | __r )

inline

Stream output operator for blast::hit.

Definition at line 246 of file blast-result.h.

## operator<<() [2/5]

std::ostream & rostlab::operator<< | ( | std::ostream & | __os,
|  | const rostlab::blast::hsp & | __r )

inline

Stream output operator for blast::hsp.

Definition at line 235 of file blast-result.h.

## operator<<() [3/5]

std::ostream & rostlab::operator<< | ( | std::ostream & | __os,
|  | const rostlab::blast::oneline & | __r )

inline

Stream output operator for blast::oneline.

Definition at line 227 of file blast-result.h.

## operator<<() [4/5]

std::ostream & rostlab::operator<< | ( | std::ostream & | __os,
|  | const rostlab::blast::result & | __r )

inline

Stream output operator for blast::result.

Definition at line 254 of file blast-result.h.

## operator<<() [5/5]

std::ostream & rostlab::operator<< | ( | std::ostream & | __os,
|  | const rostlab::blast::round & | __r )

inline

Stream output operator for blast::round.

Definition at line 219 of file blast-result.h.